<?xml version='1.0' encoding='UTF-8' ?> 
<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:b="http://bootsfaces.net/ui"
    xmlns:f="http://xmlns.jcp.org/jsf/core">

    <b:container>
        <p:dataTable id="browseTable" value="#{user.ownedBooks}" var="aBook" binding="#{table}"
                     rendered="#{not empty user.ownedBooks}" rows="5" paginator="true"
                     paginatorTemplate="{FirstPageLink} {PreviousPageLink} {NextPageLink} {LastPageLink}"
                     paginatorPosition="top">
            <p:column class="browsebook">
                <div class="containerBrowsePage">
                    <div class="bookcover">
                        <h:graphicImage library="images" name="coverImages/#{aBook.imageUrl}" height="150" width="90" />
                    </div>
                    <div class="bookinfo">
                        <p>
                            <h:form>
                                <h:commandLink class="aBookTitle" action="#{theBooks.showSelectedBook(aBook,user.userId)}">#{aBook.title}</h:commandLink><br/>
                            </h:form>
                            <span class="bookauthor">#{msgs.by} #{aBook.authorId.name}</span><span class="seperator"> | </span><span class="bookdate">#{aBook.dataPublication}</span><br/>
                            <button class="btn btn-secondary btn-lg">
                                <a href="#{request.contextPath}/resources/pdf/aliceInWonderland.pdf" download="aliceInWonderland.pdf">#{msgs.download}</a>
                            </button>

                        </p>
                        <p class="bookdescription" id="description#{table.rowIndex+1}">#{aBook.description}</p>
                    </div>
                    <div class="boxArrows" id="box#{table.rowIndex+1}" onclick="expand(this.id)">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
            </p:column>
        </p:dataTable>

    </b:container>
</ui:composition>
